A Path tokenizer takes a path and returns the components that make up

that path.

The path can use path separators of either ':' or ';' and file separators

of either '/' or '\'.

author | Hans Lellelid <hans@xmpl.org> (Phing)
author | Conor MacNeill (Ant)
author | Jeff Tulley <jtulley@novell.com> (Ant)
package | phing.util

### Methods

## Constructs a path tokenizer for the specified path.

    __construct(\path $path)

### Parameters

#### $path

`\path`

The path to tokenize. Must not be `null`.

## Non StringTokenizer function, that indicates whether the specified path is contained in loaded tokens.

    contains(string $path) : boolean

We can do this easily because in PHP implimentation we're using arrays.

### Parameters

#### $path

`string`

path to search for.

### Returns

`boolean`

## Tests if there are more path elements available from this tokenizer's

    hasMoreTokens() : \<code>true</code>

path. If this method returns

    true

, then a subsequent call

to nextToken will successfully return a token.

### Returns

`\<code>true</code>`if and only if there is at least one token in the string after the current position; `false` otherwise.

## Returns the next path element from this tokenizer.

    nextToken() : \the

### Exceptions

`\Exception` | if there are no more elements in this tokenizer's path.

### Returns

`\the`next path element from this tokenizer.

### Properties

##

    $dosStyleFilesystem : boolean

DOS style filesystem

##

    $lookahead : string

due to DOS filesystem compensation.

##

    $tokens